## org.eclipse.xsd
Interface XSDParticle

All Superinterfaces:
  EObject, Notifier, XSDComplexTypeContent, XSDComponent, XSDConcreteComponent

All Known Implementing Classes:
  XSDParticleImpl

    public interface XSDParticle

extends XSDComplexTypeContent

A representation of the model object 'Particle'.

The following features are supported:

- `Min Occurs`
- `Max Occurs`
- `Content`
- `Term`

See Also:
  `XSDPackage.getXSDParticle()`

Nested Class Summary
`static interface` `XSDParticle.DFA` A deterministic finite state automaton as described for 'Unique Particle Attribution'.

Field Summary
`static int` `UNBOUNDED` The value `-1` representing a max occurs of unbounded.

Method Summary
`XSDParticleContent` `getContent()` Returns the value of the 'Content' containment reference
`XSDParticle.DFA` `getDFA()` Returns the deterministic finite state automaton that implements this particle's content model
`int` `getMaxOccurs()` Returns the value of the 'Max Occurs' attribute.
`int` `getMinOccurs()` Returns the value of the 'Min Occurs' attribute.
`XSDTerm` `getTerm()` Returns the value of the 'Term' reference
`boolean` `isEmptiable()` Returns whether the particle is emptiable.
`boolean` `isSetMaxOccurs()` Returns whether the value of the '`Max Occurs`' attribute is set
`boolean` `isSetMinOccurs()` Returns whether the value of the '`Min Occurs`' attribute is set
`boolean` `isSubset(XSDParticle otherParticle)` This returns whether this particle accepts a subset of the content accepted by the other particle, i.e., whether this is a valid restriction.
`void` `setContent(XSDParticleContent value)` Sets the value of the '`Content`' containment reference
`void` `setMaxOccurs(int value)` Sets the value of the '`Max Occurs`' attribute
`void` `setMinOccurs(int value)` Sets the value of the '`Min Occurs`' attribute
`void` `setTerm(XSDTerm value)` Sets the value of the '`Term`' reference
`void` `unsetMaxOccurs()` Unsets the value of the '`Max Occurs`' attribute
`void` `unsetMinOccurs()` Unsets the value of the '`Min Occurs`' attribute

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### UNBOUNDED

    static final int UNBOUNDED

  The value `-1` representing a max occurs of unbounded.

  See Also:
    `getMaxOccurs()`, Constant Field Values

Method Detail

### getMinOccurs

    int getMinOccurs()

  Returns the value of the 'Min Occurs' attribute. The default value is `"1"`.

  This represents the min occurs infoset property.

  Returns:
    the value of the 'Min Occurs' attribute.
  See Also:
    `isSetMinOccurs()`, `unsetMinOccurs()`, `setMinOccurs(int)`, `XSDPackage.getXSDParticle_MinOccurs()`

### setMinOccurs

    void setMinOccurs(int value)

  Sets the value of the '`Min Occurs`' attribute.

  Parameters:
    `value` - the new value of the 'Min Occurs' attribute.
  See Also:
    `isSetMinOccurs()`, `unsetMinOccurs()`, `getMinOccurs()`

### unsetMinOccurs

    void unsetMinOccurs()

  Unsets the value of the '`Min Occurs`' attribute.

  See Also:
    `isSetMinOccurs()`, `getMinOccurs()`, `setMinOccurs(int)`

### isSetMinOccurs

    boolean isSetMinOccurs()

  Returns whether the value of the '`Min Occurs`' attribute is set.

  Returns:
    whether the value of the 'Min Occurs' attribute is set.
  See Also:
    `unsetMinOccurs()`, `getMinOccurs()`, `setMinOccurs(int)`

### getMaxOccurs

    int getMaxOccurs()

  Returns the value of the 'Max Occurs' attribute. The default value is `"1"`.

  This represents the max occurs infoset property. The `unbounded` value is represented by `UNBOUNDED`, i.e., `-1`.

  Returns:
    the value of the 'Max Occurs' attribute.
  See Also:
    `UNBOUNDED`, `isSetMaxOccurs()`, `unsetMaxOccurs()`, `setMaxOccurs(int)`, `XSDPackage.getXSDParticle_MaxOccurs()`

### setMaxOccurs

    void setMaxOccurs(int value)

  Sets the value of the '`Max Occurs`' attribute.

  Parameters:
    `value` - the new value of the 'Max Occurs' attribute.
  See Also:
    `isSetMaxOccurs()`, `unsetMaxOccurs()`, `getMaxOccurs()`

### unsetMaxOccurs

    void unsetMaxOccurs()

  Unsets the value of the '`Max Occurs`' attribute.

  See Also:
    `isSetMaxOccurs()`, `getMaxOccurs()`, `setMaxOccurs(int)`

### isSetMaxOccurs

    boolean isSetMaxOccurs()

  Returns whether the value of the '`Max Occurs`' attribute is set.

  Returns:
    whether the value of the 'Max Occurs' attribute is set.
  See Also:
    `unsetMaxOccurs()`, `getMaxOccurs()`, `setMaxOccurs(int)`

### getContent

    XSDParticleContent getContent()

  Returns the value of the 'Content' containment reference.

  This concrete reference represents the `particle content` of the particle. It is used to compute the `term`.

  Returns:
    the value of the 'Content' containment reference.
  See Also:
    `getTerm()`, `setContent(XSDParticleContent)`, `XSDPackage.getXSDParticle_Content()`

### setContent

    void setContent(XSDParticleContent value)

  Sets the value of the '`Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Content' containment reference.
  See Also:
    `getContent()`

### getTerm

    XSDTerm getTerm()

  Returns the value of the 'Term' reference.

  This represents the term infoset property. It is computed from the `content` and should typically not be modified directly.

  Returns:
    the value of the 'Term' reference.
  See Also:
    `getContent()`, `setTerm(XSDTerm)`, `XSDPackage.getXSDParticle_Term()`

### setTerm

    void setTerm(XSDTerm value)

  Sets the value of the '`Term`' reference. Since the term is computed from the `content`, this reference should typically not be modified directly.

  Parameters:
    `value` - the new value of the 'Term' reference.
  See Also:
    `getTerm()`

### getDFA

    XSDParticle.DFA getDFA()

  Returns the deterministic finite state automaton that implements this particle's content model.

  Returns:
    the deterministic finite state automaton that implements this particle's content model.

### isEmptiable

    boolean isEmptiable()

  Returns whether the particle is emptiable.

  Returns:
    whether the particle is emptiable.

### isSubset

    boolean isSubset(XSDParticle otherParticle)

  This returns whether this particle accepts a subset of the content accepted by the other particle, i.e., whether this is a valid restriction.

  Parameters:
    `otherParticle` - some other particle.
  Returns:
    whether this is a valid restriction.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.